<?php
// +----------------------------------------------------------------------
// | [ WE CAN DO IT MORE SIMPLE  ]
// +----------------------------------------------------------------------
// | Copyright (c) 2018-2020 rights reserved.
// +----------------------------------------------------------------------
// | Author: TABLE ME
// +----------------------------------------------------------------------
// | Date: 2020-09-06 21:52
// +----------------------------------------------------------------------
use think\facade\Route;

Route::group('order', function () {
    Route::rule('getOrderList','v1.Order/getOrderList');
    //推送订单
    Route::rule('getOrderPushList','v1.Order/getOrderPushList');
    //订单下载
    Route::rule('orderDown','v1.Order/orderDown');
    //查看订单详情
    Route::rule('orderSubItem','v1.Order/orderSubItem');
    //售后订单
    Route::rule('orderMonoList','v1.Order/orderMonoList');
    //取消问题单
    Route::rule('orderMonoCancel','v1.Order/orderMonoCancel');
    //提交处理信息
    Route::rule('orderMonoHandle','v1.Order/orderMonoHandle');
    //底单申请列表
    Route::rule('orderDdList','v1.Order/orderDdList');
    //底单申请提交处理信息
    Route::rule('orderDdHandle','v1.Order/orderDdHandle');
    //订单退款
    Route::rule('orderTui','v1.Order/orderTui');
    //子订单退款
    Route::rule('subOrderTui','v1.Order/subOrderTui');
    //异常处理
    Route::rule('orderYc','v1.Order/orderYc');
    //我要发货
    Route::rule('orderFahuo','v1.Order/orderFahuo');
    //揽件报警
    Route::rule('getWarningList','v1.Order/orderWarningList');
    //需查询订单总数
    Route::rule('queryOrderNum/:id','v1.Order/queryOrderNum');
    //分页查询物流
    Route::rule('expInquiry','v1.Order/expInquiry');
})->middleware([
    \app\system\middleware\AllowOriginMiddleware::class,
    \app\system\middleware\AdminAuthTokenMiddleware::class
    // \app\adminapi\middleware\AdminCkeckRole::class
]);
